#
# Conditional build:
%bcond_with	verbose		# verbose build (V=1)

# nothing to be placed to debuginfo package
%define		_enable_debug_packages	0

%define		rel	2
%define		pname	lin_tape
Summary:	IBM Tape SCSI Device Driver for Linux
Name:		%{pname}%{_alt_kernel}
Version:	3.0.8
Release:	%{rel}%{?_pld_builder:@%{_kernel_ver_str}}
License:	GPL v2/LGPL
Group:		Base/Kernel
Source0:	%{pname}-%{version}.tgz
# Source0-md5:	11a219f7b32496d9c334bbcd534da349
Source1:	%{pname}.fixlist
Patch0:		use-module-dir.patch
Patch1:		clean-ifdefs.patch
Patch2:		insecure-perms.patch
Patch3:		linux-3.13.patch
Patch4:		linux-3.19.patch
Patch5:		linux-4.0.patch
Patch6:		linux-4.6.patch
Patch7:		no-uname.patch
Patch8:		linux-4.9.patch
# System Storage, Tape systems, Tape drivers and software, Tape device drivers (Linux)
URL:		http://www.ibm.com/support/fixcentral/
BuildRequires:	rpmbuild(macros) >= 1.701
%{expand:%buildrequires_kernel kernel%%{_alt_kernel}-module-build >= 3:2.6.20.2}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The IBM Tape Device Driver, lin_tape, product is a device driver that
provides attachment for the IBM TotalStorage and System Storage tape
devices to Linux compatible platforms.

%define	kernel_pkg()\
%package -n kernel%{_alt_kernel}-scsi-lin_tape\
Summary:	IBM Tape SCSI Device Driver for Linux\
Release:	%{rel}@%{_kernel_ver_str}\
Group:		Base/Kernel\
Requires(post,postun):	/sbin/depmod\
%requires_releq_kernel\
Requires(postun):	%releq_kernel\
\
%description -n kernel%{_alt_kernel}-scsi-lin_tape\
The IBM Tape Device Driver is a device driver that provides attachment\
for the IBM TotalStorage and System Storage tape devices to Linux\
compatible platforms.\
\
%post	-n kernel%{_alt_kernel}-scsi-lin_tape\
%depmod %{_kernel_ver}\
\
%postun	-n kernel%{_alt_kernel}-scsi-lin_tape\
%depmod %{_kernel_ver}\
\
%files -n kernel%{_alt_kernel}-scsi-lin_tape\
%defattr(644,root,root,755)\
%doc lin_tape.fixlist lin_tape.ReadMe\
/lib/modules/%{_kernel_ver}/kernel/drivers/scsi/lin_tape.ko*\
%{nil}

%define build_kernel_pkg()\
%build_kernel_modules -m lin_tape\
%install_kernel_modules -D installed -m lin_tape -d kernel/drivers/scsi\
%{nil}

%{expand:%create_kernel_packages}

%prep
%setup -q -n %{pname}-%{version}
%undos Makefile
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1

install -p %{SOURCE1} .

%build
%{expand:%build_kernel_packages}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT

cp -a installed/* $RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT
%changelog
* Fri Jan 27 2017 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/lin_tape.git;a=log;h=auto/th/lin_tape-3.0.8-2

* Sat Jan 21 2017 Jan Rękorajski <baggins@pld-linux.org> 6f6082f
- fix building with linux 4.9
- rel 2

* Sun Jun 19 2016 Jan Rękorajski <baggins@pld-linux.org> e595de8
- drop fancy innecessary options

* Sun Jun 19 2016 Jan Rękorajski <baggins@pld-linux.org> c4a7d1f
- add missing header to sgmp.c

* Sun Jun 19 2016 Jan Rękorajski <baggins@pld-linux.org> 6986ddb
- added and updated patches to make it build on non-RH anitquated kernels

* Tue Jun 07 2016 Jan Rękorajski <baggins@pld-linux.org> cb517b2
- started update to 3.0.8

* Mon Mar 30 2015 Jan Rękorajski <baggins@pld-linux.org> bc5f110
- up to 2.9.4
- fixe building with linux 3.19

* Mon Mar 02 2015 Jan Rękorajski <baggins@pld-linux.org> dcba2e2
- added x32 to arch mix
- rel 3

* Tue Jan 27 2015 Jan Rękorajski <baggins@pld-linux.org> 9cd78c5
- rel 2

* Tue Jan 27 2015 Jan Rękorajski <baggins@pld-linux.org> 616d29c
- updated kernel module build system

* Sun Nov 09 2014 Jan Rękorajski <baggins@pld-linux.org> f2747b6
- fix insecure permission on /proc files (build fails on 3.17)
- rel 1

* Sat Nov 08 2014 Jan Rękorajski <baggins@pld-linux.org> f22409b
- up to 2.9.1

* Sun Nov 03 2013 Jan Rękorajski <baggins@pld-linux.org> 43ca874
- up to 2.3.0

* Tue Oct 29 2013 Jan Rękorajski <baggins@pld-linux.org> d7fb0fa
- switch to macro driven module build for multiple kernel versions
- rel 8

* Tue Oct 29 2013 Jan Rękorajski <baggins@pld-linux.org> 6970de8
- make kernel patch version independent

* Mon Oct 07 2013 Jan Rękorajski <baggins@pld-linux.org> f604bd1
- rebuild for kernel-3.10.15-1
- release 7 (by relup.sh)

* Wed Oct 02 2013 Jan Rękorajski <baggins@pld-linux.org> f071353
- rebuild for kernel-3.10.14-1
- release 6 (by relup.sh)

* Fri Sep 27 2013 Jan Rękorajski <baggins@pld-linux.org> 1549308
- rebuild for kernel-3.10.13-1
- release 5 (by relup.sh)

* Sun Sep 15 2013 Jan Rękorajski <baggins@pld-linux.org> 1eff61b
- rebuild for kernel-3.10.12-1
- release 4 (by relup.sh)

* Tue Sep 10 2013 Jan Rękorajski <baggins@pld-linux.org> 3f5b48f
- rebuild for kernel-3.10.11-1
- release 3 (by relup.sh)

* Thu Aug 29 2013 Jan Rękorajski <baggins@pld-linux.org> e9fe29d
- rebuild for kernel-3.10.10-1
- release 2 (by relup.sh)

